<div class="container mw-100 containerOrderArchiveModule"  >
    @include('modules.orderArchive.advanceSearch')
    <form class="OrderArchiveModuleForm" enctype="multipart/form-data">
        @csrf
        <div class="container-fluid" >
            <table id="dataTableOrderArchive" class="dataTable display" style="width:100%">
                <thead>
                <tr>

                    <th>Szállító</th>
                    <th>Szállítási dátum</th>
                    @role(['root','developer','admin'])
                    <th>Profitcenter</th>
                    @endrole
                    <th>szállítási cím</th>
                    <th>Leadási időpont</th>
                    <th>Azonosító</th>
                    <th>Jóváhagyva</th>
                    <th></th>
                </tr>
                </thead>
                <tfoot>
                <tr>
                    <th>Szállító</th>
                    <th>Szállítási dátum</th>
                    @role(['root','developer','admin'])
                    <th>Profitcenter</th>
                    @endrole
                    <th>szállítási cím</th>
                    <th>Leadási időpont</th>
                    <th>Azonosító</th>
                    <th>Jóváhagyva</th>
                    <th></th>
                </tr>
                </tfoot>
            </table>
        </div>
    </form>
</div>
@php
    $adminMode=false;
    if(auth()->user()->hasRole(['root','developer','admin'])){
        $adminMode=true;
    }

@endphp


@role(['root','developer','admin'])
    <script>
         APP.IsUserAdmin=true;
    </script>
@else
    <script>
        APP.IsUserAdmin=false;
    </script>
    @endrole

<script>
    $(document).ready(function() {
console.log('izé');
        console.log(APP.IsUserAdmin);


        if(typeof APP.OrderArchiveModule ==="undefined") {
            console.log('creating APP.OrderArchiveModule');
            APP.OrderArchiveModule=new OrderArchiveModule (

            );
        }
        APP.OrderArchiveModule.init(
            {
            URL: {
                root:'{{url('')}}',
                getDataTableContent:'{{route('orderArchive.getDataTableContent')}}',
                index:'{{route('orderArchive.index')}}',
                show:'{{route('orderArchive.show',"%id%")}}',
                edit:'{{route('orderArchive.edit',"%id%")}}',
                },
                testMode: {{$testMode ? 'true' : 'false'}}
            }
        );

        APP.OrderArchiveModule.initViewList({orderDirective:[[4, "desc"]]});
    });
</script>

